com.atid.lib.module.barcode.ssi.type

## Enum ISBTConcatenation

- java.lang.Object
- - java.lang.Enum<ISBTConcatenation>
  - - com.atid.lib.module.barcode.ssi.type.ISBTConcatenation

- All Implemented Interfaces:
    IEnumType, java.io.Serializable, java.lang.Comparable<ISBTConcatenation>

      public enum ISBTConcatenation
      extends java.lang.Enum<ISBTConcatenation>
      implements IEnumType

  Select an option for concatenating pairs of ISBT code types

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Autodiscriminate` the decoder decodes and concatenates pairs of ISBT codes immediately.
    `Disable` the decoder does not concatenate pairs of ISBT codes it encounters.
    `Enable` there must be two ISBT codes in order for the decoder to decode and perform concatenation.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCode()`
    `java.lang.String` | `toString()`
    `static ISBTConcatenation` | `valueOf(int code)`
    `static ISBTConcatenation` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ISBTConcatenation[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Disable

          public static final ISBTConcatenation Disable

      the decoder does not concatenate pairs of ISBT codes it encounters.

    - #### Enable

          public static final ISBTConcatenation Enable

      there must be two ISBT codes in order for the decoder to decode and perform concatenation. The decoder does not decode single ISBT symbols.

    - #### Autodiscriminate

          public static final ISBTConcatenation Autodiscriminate

      the decoder decodes and concatenates pairs of ISBT codes immediately. If only a single ISBT symbol is present, the decoder must decode the symbol the number of times set via ISBT Concatenation Redundancy before transmitting its data to confirm that there is no additional ISBT symbol.

  - ### Method Detail

    - #### values

          public static ISBTConcatenation[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ISBTConcatenation c : ISBTConcatenation.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ISBTConcatenation valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getCode

          public int getCode()

      Specified by:
        `getCode` in interface `IEnumType`

    - #### toString

          public java.lang.String toString()

      Specified by:
        `toString` in interface `IEnumType`
      Overrides:
        `toString` in class `java.lang.Enum<ISBTConcatenation>`

    - #### valueOf

          public static ISBTConcatenation valueOf(int code)